Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.sf.jasperreports.engine.type
Enum FillEnum

    java.lang.Object
      java.lang.Enum<FillEnum>
          net.sf.jasperreports.engine.type.FillEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FillEnum>, JREnum

    public enum FillEnum

extends java.lang.Enum<FillEnum>
implements JREnum

Version:
  $Id: FillEnum.java 3459 2010-02-22 11:51:45Z shertage $
Author:
  sanda zaharia (shertage@users.sourceforge.net)

Enum Constant Summary
`SOLID` Constant useful for specifying that the inside of an element should be drawn using the background color.

Method Summary
`static FillEnum` | `getByName(java.lang.String name)`
`static FillEnum` | `getByValue(byte value)`
`static FillEnum` | `getByValue(java.lang.Byte value)`
`java.lang.String` | `getName()`
`byte` | `getValue()`
`java.lang.Byte` | `getValueByte()`
`static FillEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FillEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SOLID

    public static final FillEnum SOLID

  Constant useful for specifying that the inside of an element should be drawn using the background color. It is ignored if the element draw mode is transparent.

Method Detail

### values

    public static FillEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FillEnum c : FillEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FillEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValueByte

    public java.lang.Byte getValueByte()

  Specified by:
    `getValueByte` in interface `JREnum`

### getValue

    public final byte getValue()

  Specified by:
    `getValue` in interface `JREnum`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `JREnum`

### getByName

    public static FillEnum getByName(java.lang.String name)

### getByValue

    public static FillEnum getByValue(java.lang.Byte value)

### getByValue

    public static FillEnum getByValue(byte value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com